TEMPLATE = app
TARGET = qdl
QT += network sql declarative xml

HEADERS += $$files(src/shared/*.h)
SOURCES += $$files(src/shared/*.cpp)

unix!maemo5!contains(MEEGO_EDITION,harmattan) {
        HEADERS += $$files(src/desktop/*.h)
        SOURCES += $$files(src/desktop/*.cpp)

        desktopfile.path = /usr/share/applications
        desktopfile.files = desktop/qdl.desktop

        icon.path = /usr/share/icons/oxygen/64x64/apps
        icon.files = desktop/qdl64.png

        RESOURCES += resources/resources_desktop.qrc

        INSTALLS += desktopfile icon

        target.path = /opt/qdl/bin
}

maemo5 {
        QT += maemo5
        HEADERS += $$files(src/maemo5/*.h)
        SOURCES += $$files(src/maemo5/*.cpp)

        desktopfile.path = /usr/share/applications/hildon
        desktopfile.files = desktop/qdlmaemo5.desktop

        icon.path = /usr/share/icons/hicolor/64x64/apps
        icon.files = desktop/qdl64.png

        RESOURCES += resources/resources_maemo5.qrc

        OTHER_FILES += \
            qtc_packaging/debian_fremantle/rules \
            qtc_packaging/debian_fremantle/README \
            qtc_packaging/debian_fremantle/copyright \
            qtc_packaging/debian_fremantle/control \
            qtc_packaging/debian_fremantle/compat \
            qtc_packaging/debian_fremantle/changelog

        INSTALLS += desktopfile icon

        target.path = /opt/qdl/bin
}

contains(MEEGO_EDITION,harmattan) {
        QT+= opengl
        CONFIG += qdeclarative-boostable
        HEADERS += $$files(src/harmattan/*.h)
        SOURCES += $$files(src/harmattan/*.cpp)

        folder_01.source = qml/harmattan
        folder_01.target = qml
        DEPLOYMENTFOLDERS = folder_01

        include(src/qmlapplicationviewer/qmlapplicationviewer.pri)
        qtcAddDeployment()

        desktopfile.files = desktop/qdlharmattan.desktop
        desktopfile.path = /usr/share/applications

        icon.files = desktop/qdlharmattan80.png
        icon.path = /usr/share/icons/hicolor/80x80/apps

        splash.files += $$files(splash/*.png)
        splash.path = /opt/qdl/splash

        RESOURCES += resources/resources_harmattan.qrc

        OTHER_FILES += \
            qtc_packaging/debian_harmattan/rules \
            qtc_packaging/debian_harmattan/README \
            qtc_packaging/debian_harmattan/manifest.aegis \
            qtc_packaging/debian_harmattan/copyright \
            qtc_packaging/debian_harmattan/control \
            qtc_packaging/debian_harmattan/compat \
            qtc_packaging/debian_harmattan/changelog

        INSTALLS += desktopfile icon splash

        target.path = /opt/qdl/bin
}

INSTALLS += target
