import QtQuick 1.1
import com.nokia.meego 1.0

MyDialog {
    id: root

    width: parent.width
    content: Item {
        height: column.height
        anchors { left: parent.left; right: parent.right; margins: 10 }

        Column {
            id: column

            anchors { left: parent.left; right: parent.right; top: parent.top }
            spacing: 10

            Image {
                id: icon

                x: Math.floor((parent.width / 2) - (width / 2))
                source: "qrc:/qdlharmattan64.png"
            }

            Label {
                id: titleLabel

                width: parent.width
                horizontalAlignment: Text.AlignHCenter
                font.bold: true
                font.pixelSize: 32
                text: "QDL " + Utils.versionNumber
            }

            Label {
                id: aboutLabel

                width: parent.width
                wrapMode: Text.WordWrap
                horizontalAlignment: Text.AlignHCenter
                text: qsTr("A user-friendly download manager.<br><br>&copy; Stuart Howarth 2012-2013<br>")
            }

            LinkLabel {
                width: parent.width
                wrapMode: Text.WordWrap
                horizontalAlignment: Text.AlignHCenter
                text: "<font color='white'>" + qsTr("Contact") + ": </font><u>stuhowarth77@gmail.com</u>"
                link: "mailto:stuhowarth77@gmail.com?subject=QDL for N9"
                onClicked: root.accept()
            }
        }
    }
}
