#include "stringselector.h"
#include "../shared/selectionmodels.h"
#include <QMaemo5ListPickSelector>

StringSelector::StringSelector(SelectionModel *model, const QString &text, QWidget *parent) :
    QMaemo5ValueButton(text, parent),
    m_model(model),
    m_selector(new QMaemo5ListPickSelector(this))
{
    m_selector->setModel(m_model);
    m_selector->setModelColumn(0);
    this->setPickSelector(m_selector);
    this->connect(m_selector, SIGNAL(selected(QString)), this, SLOT(onSelected()));
}

void StringSelector::setValue(const QString &value) {
    bool found = false;
    int i = 0;

    while ((!found) && (i < m_model->rowCount())) {
        found = m_model->value(i).toString() == value;

        if (found) {
            m_selector->setCurrentIndex(i);
        }

        i++;
    }

    if (!found) {
        m_selector->setCurrentIndex(0);
    }
}

QString StringSelector::currentValue() const {
    return m_model->value(m_selector->currentIndex()).toString();
}

void StringSelector::onSelected() {
    emit valueChanged(this->currentValue());
}
