#include "transferprogressdelegate.h"
#include "../shared/transfermodel.h"
#include <QApplication>
#include <QStyleOptionProgressBar>
#include <QPainter>

TransferProgressDelegate::TransferProgressDelegate(QObject *parent) :
    QStyledItemDelegate(parent)
{
}

void TransferProgressDelegate::paint(QPainter *painter, const QStyleOptionViewItem &option, const QModelIndex &index) const {
    painter->save();

    if ((option.state) & (QStyle::State_Selected)) {
        painter->drawImage(option.rect, QImage("/etc/hildon/theme/images/TouchListBackgroundPressed.png"));
    }

    QFont font;
    font.setPixelSize(20);

    painter->setFont(font);
    painter->drawText(option.rect, Qt::AlignCenter, QString("%1%").arg(index.data(TransferModel::ProgressRole).toInt()));
    painter->restore();
}

QSize TransferProgressDelegate::sizeHint(const QStyleOptionViewItem &option, const QModelIndex &index) const {
    Q_UNUSED(index);

    return QSize(option.rect.width(), 60);
}
